Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class InformationalMessage

    java.lang.Object
      |
      +--oracle.apps.cz.cio.StatusInfo
            |
            +--oracle.apps.cz.cio.InformationalMessage

public class InformationalMessage
extends StatusInfo

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.StatusInfo
`STATUS_DELETED, STATUS_EXISTING, STATUS_NEW, STATUS_REMOVED`

Constructor Summary
`InformationalMessage(java.lang.String message, oracle.apps.cz.cio.IRuntimeNode node)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getMessage()`
`int` | `hashCode()`

Methods inherited from class oracle.apps.cz.cio.StatusInfo
`getNode, getStatus, statusToString, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### InformationalMessage

    public InformationalMessage(java.lang.String message,
                                oracle.apps.cz.cio.IRuntimeNode node)

Method Detail

### getMessage

    public java.lang.String getMessage()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `StatusInfo`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `StatusInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.